import envoy
import gleam/erlang/process
import gleam/int
import mist
import switcheroo/router
import wisp
import wisp/wisp_mist

pub fn main() -> Nil {
  wisp.configure_logger()

  let assert Ok(secret_key_base) = envoy.get("SECRET_KEY")
  let assert Ok(port_str) = envoy.get("PORT")
  let assert Ok(port) = int.parse(port_str)

  let assert Ok(_) =
    wisp_mist.handler(router.handle_request, secret_key_base)
    |> mist.new
    |> mist.port(port)
    |> mist.start_http

  process.sleep_forever()
}
