import gleam/http.{Get}
import switcheroo/login
import switcheroo/picker
import switcheroo/web
import wisp.{type Request, type Response}

pub fn handle_request(req: Request) -> Response {
  use req <- web.middleware(req)

  case wisp.path_segments(req) {
    [] -> home_page(req)

    ["login"] -> login.login(req)
    ["picker"] -> picker.picker(req)

    _ -> wisp.not_found()
  }
}

fn home_page(req: Request) -> Response {
  use <- wisp.require_method(req, Get)

  case wisp.get_cookie(req, login.cookie_name, wisp.Signed) {
    Ok(_) -> {
      wisp.redirect("/picker")
    }
    Error(_) -> {
      wisp.redirect("/login")
    }
  }
}
